# IRremoteESP8266: src/ir_Denon.cpp File Reference

ir_Denon.cpp File Reference

Denon support Original Denon support added by https://github.com/csBlueChip Ported over by Massimiliano Pinto. More...

## Variables

const uint16_t | kDenonTick = 263
const uint16_t | kDenonHdrMarkTicks = 1
const uint16_t | kDenonHdrMark = kDenonHdrMarkTicks * kDenonTick
const uint16_t | kDenonHdrSpaceTicks = 3
const uint16_t | kDenonHdrSpace = kDenonHdrSpaceTicks * kDenonTick
const uint16_t | kDenonBitMarkTicks = 1
const uint16_t | kDenonBitMark = kDenonBitMarkTicks * kDenonTick
const uint16_t | kDenonOneSpaceTicks = 7
const uint16_t | kDenonOneSpace = kDenonOneSpaceTicks * kDenonTick
const uint16_t | kDenonZeroSpaceTicks = 3
const uint16_t | kDenonZeroSpace = kDenonZeroSpaceTicks * kDenonTick
const uint16_t | kDenonMinCommandLengthTicks = 510
const uint16_t | kDenonMinGapTicks
const uint32_t | kDenonMinGap = kDenonMinGapTicks * kDenonTick
const uint64_t | kDenonManufacturer = 0x2A4CULL

## Detailed Description

Denon support Original Denon support added by https://github.com/csBlueChip Ported over by Massimiliano Pinto.

See also
  https://github.com/z3t0/Arduino-IRremote/blob/master/ir_Denon.cpp
  http://assets.denon.com/documentmaster/us/denon%20master%20ir%20hex.xls

## Variable Documentation

## kDenonBitMark

const uint16_t kDenonBitMark = kDenonBitMarkTicks * kDenonTick

## kDenonBitMarkTicks

const uint16_t kDenonBitMarkTicks = 1

## kDenonHdrMark

const uint16_t kDenonHdrMark = kDenonHdrMarkTicks * kDenonTick

## kDenonHdrMarkTicks

const uint16_t kDenonHdrMarkTicks = 1

## kDenonHdrSpace

const uint16_t kDenonHdrSpace = kDenonHdrSpaceTicks * kDenonTick

## kDenonHdrSpaceTicks

const uint16_t kDenonHdrSpaceTicks = 3

## kDenonManufacturer

const uint64_t kDenonManufacturer = 0x2A4CULL

## kDenonMinCommandLengthTicks

const uint16_t kDenonMinCommandLengthTicks = 510

## kDenonMinGap

const uint32_t kDenonMinGap = kDenonMinGapTicks * kDenonTick

## kDenonMinGapTicks

const uint16_t kDenonMinGapTicks

Initial value:
=
kDenonMinCommandLengthTicks -
(kDenonHdrMarkTicks + kDenonHdrSpaceTicks +
kDenonBits * (kDenonBitMarkTicks + kDenonOneSpaceTicks) +
kDenonBitMarkTicks)

## kDenonOneSpace

const uint16_t kDenonOneSpace = kDenonOneSpaceTicks * kDenonTick

## kDenonOneSpaceTicks

const uint16_t kDenonOneSpaceTicks = 7

## kDenonTick

const uint16_t kDenonTick = 263

## kDenonZeroSpace

const uint16_t kDenonZeroSpace = kDenonZeroSpaceTicks * kDenonTick

## kDenonZeroSpaceTicks

const uint16_t kDenonZeroSpaceTicks = 3

kDenonMinCommandLengthTicks
const uint16_t kDenonMinCommandLengthTicks
Definition: ir_Denon.cpp:31
kDenonHdrSpaceTicks
const uint16_t kDenonHdrSpaceTicks
Definition: ir_Denon.cpp:23
kDenonBitMarkTicks
const uint16_t kDenonBitMarkTicks
Definition: ir_Denon.cpp:25
kDenonHdrMarkTicks
const uint16_t kDenonHdrMarkTicks
Definition: ir_Denon.cpp:21
kDenonBits
const uint16_t kDenonBits
Definition: IRremoteESP8266.h:930
kDenonOneSpaceTicks
const uint16_t kDenonOneSpaceTicks
Definition: ir_Denon.cpp:27